- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiHotInfo Class Reference

This class contains the result of strong branching on a variable When created it stores enough information for strong branching. More...

`#include <OsiChooseVariable.hpp>`

Collaboration diagram for OsiHotInfo:

[legend]
List of all members.

## Public Member Functions
| OsiHotInfo ()
| Default Constructor.
| OsiHotInfo (OsiSolverInterface *solver, const OsiBranchingInformation *info, const OsiObject *const *objects, int whichObject)
| Constructor from useful information.
| OsiHotInfo (const OsiHotInfo &)
| Copy constructor.
OsiHotInfo & | operator= (const OsiHotInfo &rhs)
| Assignment operator.
virtual OsiHotInfo * | clone () const
| Clone.
virtual | ~OsiHotInfo ()
| Destructor.
int | updateInformation (const OsiSolverInterface *solver, const OsiBranchingInformation *info, OsiChooseVariable *choose)
| Fill in useful information after strong branch.
double | originalObjectiveValue () const
| Original objective value.
double | upChange () const
| Up change - invalid if n-way.
double | downChange () const
| Down change - invalid if n-way.
void | setUpChange (double value)
| Set up change - invalid if n-way.
void | setDownChange (double value)
| Set down change - invalid if n-way.
double | change (int k) const
| Change on way k.
int | upIterationCount () const
| Up iteration count - invalid if n-way.
int | downIterationCount () const
| Down iteration count - invalid if n-way.
int | iterationCount (int k) const
| Iteration count on way k.
int | upStatus () const
| Up status - invalid if n-way.
int | downStatus () const
| Down status - invalid if n-way.
void | setUpStatus (int value)
| Set up status - invalid if n-way.
void | setDownStatus (int value)
| Set down status - invalid if n-way.
int | status (int k) const
| Status on way k.
OsiBranchingObject * | branchingObject () const
| Branching object.
int | whichObject () const
## Protected Attributes
double | originalObjectiveValue_
| Original objective value.
double * | changes_
| Objective changes.
int * | iterationCounts_
| Iteration counts.
int * | statuses_
| Status -1 - not done 0 - feasible and finished 1 - infeasible 2 - not finished.
OsiBranchingObject * | branchingObject_
| Branching object.
int | whichObject_
| Which object on list.

## Detailed Description

This class contains the result of strong branching on a variable When created it stores enough information for strong branching.

Definition at line 430 of file OsiChooseVariable.hpp.

## Constructor & Destructor Documentation

OsiHotInfo::OsiHotInfo | ( |  | ) |

Default Constructor.

OsiHotInfo::OsiHotInfo | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | const OsiObject *const * | objects,
|  | int | whichObject |
| ) |  |  |

Constructor from useful information.

OsiHotInfo::OsiHotInfo | ( | const OsiHotInfo & |  | ) |

Copy constructor.

virtual OsiHotInfo::~OsiHotInfo | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

OsiHotInfo& OsiHotInfo::operator= | ( | const OsiHotInfo & | rhs | ) |

Assignment operator.

virtual OsiHotInfo* OsiHotInfo::clone | ( |  | ) | const`[virtual]`

Clone.

int OsiHotInfo::updateInformation | ( | const OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | OsiChooseVariable * | choose |
| ) |  |  |

Fill in useful information after strong branch.

Return status

double OsiHotInfo::originalObjectiveValue | ( |  | ) | const`[inline]`

Original objective value.

Definition at line 461 of file OsiChooseVariable.hpp.

References originalObjectiveValue_.

double OsiHotInfo::upChange | ( |  | ) | const`[inline]`

Up change - invalid if n-way.

Definition at line 464 of file OsiChooseVariable.hpp.

References branchingObject_, changes_, and OsiBranchingObject::numberBranches().

double OsiHotInfo::downChange | ( |  | ) | const`[inline]`

Down change - invalid if n-way.

Definition at line 467 of file OsiChooseVariable.hpp.

References branchingObject_, changes_, and OsiBranchingObject::numberBranches().

void OsiHotInfo::setUpChange | ( | double | value | ) | `[inline]`

Set up change - invalid if n-way.

Definition at line 470 of file OsiChooseVariable.hpp.

References branchingObject_, changes_, and OsiBranchingObject::numberBranches().

void OsiHotInfo::setDownChange | ( | double | value | ) | `[inline]`

Set down change - invalid if n-way.

Definition at line 473 of file OsiChooseVariable.hpp.

References branchingObject_, changes_, and OsiBranchingObject::numberBranches().

double OsiHotInfo::change | ( | int | k | ) | const`[inline]`

Change on way k.

Definition at line 476 of file OsiChooseVariable.hpp.

References changes_.

int OsiHotInfo::upIterationCount | ( |  | ) | const`[inline]`

Up iteration count - invalid if n-way.

Definition at line 480 of file OsiChooseVariable.hpp.

References branchingObject_, iterationCounts_, and OsiBranchingObject::numberBranches().

int OsiHotInfo::downIterationCount | ( |  | ) | const`[inline]`

Down iteration count - invalid if n-way.

Definition at line 483 of file OsiChooseVariable.hpp.

References branchingObject_, iterationCounts_, and OsiBranchingObject::numberBranches().

int OsiHotInfo::iterationCount | ( | int | k | ) | const`[inline]`

Iteration count on way k.

Definition at line 486 of file OsiChooseVariable.hpp.

References iterationCounts_.

int OsiHotInfo::upStatus | ( |  | ) | const`[inline]`

Up status - invalid if n-way.

Definition at line 490 of file OsiChooseVariable.hpp.

References branchingObject_, OsiBranchingObject::numberBranches(), and statuses_.

int OsiHotInfo::downStatus | ( |  | ) | const`[inline]`

Down status - invalid if n-way.

Definition at line 493 of file OsiChooseVariable.hpp.

References branchingObject_, OsiBranchingObject::numberBranches(), and statuses_.

void OsiHotInfo::setUpStatus | ( | int | value | ) | `[inline]`

Set up status - invalid if n-way.

Definition at line 496 of file OsiChooseVariable.hpp.

References branchingObject_, OsiBranchingObject::numberBranches(), and statuses_.

void OsiHotInfo::setDownStatus | ( | int | value | ) | `[inline]`

Set down status - invalid if n-way.

Definition at line 499 of file OsiChooseVariable.hpp.

References branchingObject_, OsiBranchingObject::numberBranches(), and statuses_.

int OsiHotInfo::status | ( | int | k | ) | const`[inline]`

Status on way k.

Definition at line 502 of file OsiChooseVariable.hpp.

References statuses_.

OsiBranchingObject* OsiHotInfo::branchingObject | ( |  | ) | const`[inline]`

Branching object.

Definition at line 505 of file OsiChooseVariable.hpp.

References branchingObject_.

int OsiHotInfo::whichObject | ( |  | ) | const`[inline]`

Definition at line 507 of file OsiChooseVariable.hpp.

References whichObject_.

## Member Data Documentation

double OsiHotInfo::originalObjectiveValue_`[protected]`

Original objective value.

Definition at line 513 of file OsiChooseVariable.hpp.

Referenced by originalObjectiveValue().

double* OsiHotInfo::changes_`[protected]`

Objective changes.

Definition at line 515 of file OsiChooseVariable.hpp.

Referenced by change(), downChange(), setDownChange(), setUpChange(), and upChange().

int* OsiHotInfo::iterationCounts_`[protected]`

Iteration counts.

Definition at line 517 of file OsiChooseVariable.hpp.

Referenced by downIterationCount(), iterationCount(), and upIterationCount().

int* OsiHotInfo::statuses_`[protected]`

Status -1 - not done 0 - feasible and finished 1 - infeasible 2 - not finished.

Definition at line 524 of file OsiChooseVariable.hpp.

Referenced by downStatus(), setDownStatus(), setUpStatus(), status(), and upStatus().

OsiBranchingObject* OsiHotInfo::branchingObject_`[protected]`

Branching object.

Definition at line 526 of file OsiChooseVariable.hpp.

Referenced by branchingObject(), downChange(), downIterationCount(), downStatus(), setDownChange(), setDownStatus(), setUpChange(), setUpStatus(), upChange(), upIterationCount(), and upStatus().

int OsiHotInfo::whichObject_`[protected]`

Which object on list.

Definition at line 528 of file OsiChooseVariable.hpp.

Referenced by whichObject().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.52.0/Osi/src/OsiChooseVariable.hpp